# TestDisk Compilation FR

### From CGSecurity

english version deutsche Version versión español version française Русская версия

Ce document explique comment compiler TestDisk et PhotoRec.

## Notes pour les différents OS

Veuillez lire les notes pour votre système d'exploitation:

- DOS
- GNU/Linux
- Win
- Mac OS X

## Bibliothèques

- libncurses - Requise, TestDisk et PhotoRec utilisent une interface basée sur ncurses, c'est pour quoi la bibliothèque doit être présente.
- Ext2fs library - Facultative, utilisée par TestDisk pour lister les fichiers de partition au format ext2/ext3.
- ReiserFS library - Facultative, utilisée par TestDisk pour lister les fichiers de partition au format reiserFS.
- NTFS library - Facultative, utilisée par TestDisk pour lister les fichiers de partition au format NTFS
- Jpeg library - Facultative, utilisée par PhotoRec pour améliorer le taux de récupération des JPEG.

### Bibliothèque Ext2fs

La bibliothèque est généralement installée avec votre OS, ainsi vous n'aurez pas à la compiler vous même. Sinon obtenez la dernière version de e2fsprogs à partir de l'adresse suivante : e2fsprogs.sf.net

    tar xzf e2fsprogs-1.38.tgz
    cd e2fsprogs-1.38
    ./configure --with-cc=gcc
    make libs
    make install

### Bibliothèque EWF

Le code source de la librairie EWF est téléchargeable depuis http://libewf.sourceforge.net/. Remarque, pour compiler ou utiliser celle-ci, il faut installer openssl et zlib.

    tar xzf libewf-20070512.tar.gz
    cd libewf-20070512
    ./configure
    make lib
    make install

### Bibliothèque Jpeg

La bibliothèque Libjpeg est généralement installée avec votre OS, ainsi vous n'aurez pas à la compiler vous même. Sinon obtenez la dernière version de libjpeg à partir de l'adresse suivante : ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz

    tar xzf jpegsrc.v6b.tar.gz
    cd jpeg-6b
    ./configure --enable-
    <pre>shared --enable-static
    make
    sudo make install

Mac OS X 10.3 est livré avec GNU libtool, quoique sous un nom sensiblement différent, glibtool. Vous devez donc exécuter : ln -s `which glibtool` ./libtool </pre>

### Comment compiler ntfsprogs

Téléchargez la dernière version de ntfsprogs à partir de linux-ntfs.sf.net

    tar xzf ntfsprogs-1.13.1.tar.gz
    cd ntfsprogs-1.13.1
    ./configure
    make libs
    make install

Pour avoir une version qui marche sous NT 4, utilisez `configure --disable-default-device-io-ops` car SetFilePointerEx utilisé par win32_io.c n'est pas supporté par les DLL de NT 4.

### Bibliothèque ReiserFS

Téléchargez progsreiserfs-0.3.1-rc8.tar.gz à partir de reiserfs.osdn.org.ua/

    tar xzf progsreiserfs-*.tar.gz
    cd progreiserfs-0.3.1-rc8
    ./configure --disable-nls
    make
    make install

## Comment compiler Testdisk

### Méthode standard

Pour compiler Testdisk et PhotoRec entrez :

    ./configure
    make

Vous aurez peut-être à spécifier certains paramètres, référez vous à configure --help. Exemple :

    ./configure
    --with-reiserfs-lib=/home/kmaster/perso/testdisk-6.4/progsreiserfs-0.3.1-rc8/libreiserfs/.libs/
    --with-reiserfs-includes=/home/kmaster/perso/testdisk-6.4/progsreiserfs-0.3.1-rc8/include/
    --with-ntfs-lib=/home/kmaster/perso/testdisk-6.4/ntfsprogs-1.13.1/libntfs/.libs/
    --with-ntfs-includes=/home/kmaster/perso/testdisk-6.4/ntfsprogs-1.13.1/include/
    --with-ext2fs-lib=/home/kmaster/perso/testdisk-6.4/e2fsprogs-1.38/lib
    --with-ext2fs-includes=/home/kmaster/perso/testdisk-6.4/e2fsprogs-1.38/lib

### Version statique

Si vous devez lancer un binaire sur un système ne possédant pas les bibliothèques requises, créez un binaire statique avec :

    make static

### Binaire compressé

Si vous avez besoin d'un petit binaire pour une distribution binaire, obtenez le packer UPX à partir de upx.sf.net et lancez :

    strip src/testdisk src/photorec
    upx src/testdisk src/photorec

Notez qu'un binaire Linux compressé par UPX 1.x a besoin d'être décompressé pour s'exécuter, ce qui nécessite de l'espace libre dans /tmp, et la permission d'exécuter un programme doit être également présente sur ce répertoire. (mount -o remount,exec /tmp).

Retourner à la page principale

Category: Data Recovery